/*
 * Inspired by Neighbors Are Important, a script by Zuu.
 *
 * License: GPL2
 */

SELF_VERSION <- 6;
SELF_DATE <- "2014-10-03";

class SyCityGrowth extends GSInfo {
	function GetAuthor()		{ return "Sylf"; }
	function GetName()			{ return "City Growth Limiter"; }
	function GetDescription() 	{ return "Cities needs certain level of transportation provided to grow."; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return SELF_DATE; }
	function CreateInstance()	{ return "SyCityGrowth"; }
	function GetShortName()		{ return "SyCG"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetUrl()			{ return ""; }
	function GetSettings() {
		AddSetting({
			name = "min_transport_pax",
			description = "Minimun Percentage of Passengers Transported",
			easy_value = 65,
			medium_value = 65,
			hard_value = 65,
			custom_value = 65,
			flags = CONFIG_INGAME,
			min_value = 0,
			max_value = 90,
			step_size = 5});
		AddSetting({
			name = "min_transport_mail",
			description = "Minimun Percentage of Mail Transported",
			easy_value = 65,
			medium_value = 65,
			hard_value = 65,
			custom_value = 65,
			flags = CONFIG_INGAME,
			min_value = 0,
			max_value = 90,
			step_size = 5});
		AddSetting({
			name = "town_size_threshold",
			description = "Minimum size of town before the limit rules kicks in",
			easy_value = 350,
			medium_value = 350,
			hard_value = 350,
			custom_value = 350,
			flags = CONFIG_INGAME, min_value = 0,
			max_value = 3000,
			step_size = 25});
	}

}

RegisterGS(SyCityGrowth());
